# Create Next.js Template

This project is a template for creating a new Next.js application. It is designed to provide a quick and easy way to start a new Next.js project with a set of pre-configured tools and settings.

## Features

- **Next.js**: A React framework for building modern web applications.
- **React Query**: A data fetching and state management library for React.
- **Panda CSS**: A lightweight and minimal CSS framework.
- **TypeScript**: A statically typed superset of JavaScript that adds types and other powerful features.
- **ESLint**: A tool for identifying and reporting on patterns in JavaScript.
- **Prettier**: An opinionated code formatter.
- **Husky**: A tool for preventing bad `git commit`, `git push` and more 🐶 woof!

## Usage

To create a new Next.js application using this template, run the following command:

```bash
npx create-nextjs-template my-app
```

Replace `my-app` with the name of your new application.

## Scripts

This template includes the following npm scripts:

- `dev`: Starts the development server.
- `build`: Builds the application for production.
- `start`: Starts the production server.
- `lint`: Runs ESLint on the project.

## Dependencies

This template includes a number of dependencies to get you started with Next.js and TypeScript, as well as tools for linting and formatting your code. It also includes React Query for data fetching and state management, and Panda CSS for styling your application.

## License

This project is licensed under the MIT License.
