import type {Metadata} from 'next';
import {Inter} from 'next/font/google';
import './globals.css';
import type {ReactNode} from 'react';

import Providers from '@/widgets/providers';

const inter = Inter({subsets: ['latin']});

export const metadata: Metadata = {
  title: 'Create Next App',
  description: 'Generated by create next app',
};

const RootLayout = ({
  children,
}: Readonly<{
  children: ReactNode;
}>) => (
  <html lang="ko">
    <body className={inter.className}>
      <Providers>{children}</Providers>
    </body>
  </html>
);
export default RootLayout;
